## org.plovr.soy.server
Class Config

    java.lang.Object
      org.plovr.soy.server.Config

    public final class Config

extends java.lang.Object

Constructor Summary
`Config(java.lang.String templateToRender, int port, java.io.File contentDirectory, boolean isStatic, java.util.Map<java.lang.String,?> compileTimeGlobals, boolean isSafeMode, boolean indexPagesAreEnabled, java.lang.String pluginModuleNames)`

Method Summary
`java.util.Map<java.lang.String,?>` `getCompileTimeGlobals()`
`java.io.File` `getContentDirectory()`
`com.google.inject.Injector` `getInjector()`
`int` `getPort()`
`java.lang.String` `getTemplateToRender()`
`boolean` `indexPagesAreEnabled()`
`boolean` `isSafeMode()`
`boolean` `isStatic()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Config

    public Config(java.lang.String templateToRender,
                  int port,
                  java.io.File contentDirectory,
                  boolean isStatic,
                  java.util.Map<java.lang.String,?> compileTimeGlobals,
                  boolean isSafeMode,
                  boolean indexPagesAreEnabled,
                  java.lang.String pluginModuleNames)

Method Detail

### getTemplateToRender

    public java.lang.String getTemplateToRender()

### getPort

    public int getPort()

### getContentDirectory

    public java.io.File getContentDirectory()

### isStatic

    public boolean isStatic()

### getCompileTimeGlobals

    public java.util.Map<java.lang.String,?> getCompileTimeGlobals()

### isSafeMode

    public boolean isSafeMode()

### indexPagesAreEnabled

    public boolean indexPagesAreEnabled()

### getInjector

    public com.google.inject.Injector getInjector()